# $Id: hiera-eyaml-gpg.spec 1359 2013-11-03 01:46:27Z rpmbuild $
# repo: RE
# restrictions:

%global commit 7b384151a3565abdccecb26477db87fbffcc5b49
%global shortcommit %(c=%{commit}; echo ${c:0:7})

# Fedora 17 ships with ruby 1.9, which uses vendorlibdir instead
# of sitelibdir
%if 0%{?fedora} >= 17
%global hiera_libdir   %(ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
%else
%global hiera_libdir   %(ruby -rrbconfig -e 'puts RbConfig::CONFIG["sitelibdir"]')
%endif

Summary: GPG encryption plugin for hiera-eyaml backend for Hiera
Name: hiera-eyaml-gpg
Version: 0.1
Release: %RErelease 1
Group: System Environment/Base
License: MIT
URL: http://github.com/sihil/hiera-eyaml-gpg
Source0: https://github.com/sihil/hiera-eyaml-gpg/archive/%{commit}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ruby(abi) >= 1.8
BuildRequires: ruby >= 1.8.5
BuildRequires: rpm-macros-razorsedge
Requires: ruby(abi) >= 1.8
Requires: ruby >= 1.8.5
Requires: hiera
Requires: hiera-eyaml >= 1.3.4
Requires: rubygem(gpgme) >= 2.0.0
BuildArch: noarch

%description
GPG encryptor plugin for use with hiera-eyaml.

%prep
%setup -q -n %{name}-%{commit}

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{hiera_libdir}
%{__cp} -pr lib/hiera $RPM_BUILD_ROOT/%{hiera_libdir}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{hiera_libdir}/hiera

%changelog
* Sat Nov 02 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 0.1-1
- First build.

